#
# spec file for package ansible
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright 2013 by Lars Vogdt
# Copyright 2014 by Boris Manojlovic
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ansible
Version:        1.9.0.1
Release:        0
Summary:        Radically simple IT automation
License:        GPL-3.0
Group:          Development/Languages/Python
Url:            http://ansible.com/
Source:         https://pypi.python.org/packages/source/a/ansible/ansible-%{version}.tar.gz
Source99:       ansible-rpmlintrc
%if 0%{?suse_version}
BuildRequires:  python-devel
BuildRequires:  python-paramiko
Requires:       python-paramiko
BuildRequires:  python-Jinja2
Requires:       python-Jinja2
BuildRequires:  python-PyYAML
Requires:       python-PyYAML
BuildRequires:  python-setuptools
Requires:       python-setuptools
BuildRequires:  python-pycrypto >= 2.6
Requires:       python-pycrypto >= 2.6
Recommends:     python-dopy
Recommends:     python-pywinrm
Recommends:     sshpass
%endif

# RHEL == 6
%if 0%{?rhel} == 6
Requires:       python-crypto2.6
%endif
# RHEL > 5
%if 0%{?rhel} && 0%{?rhel} >= 5
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
Requires:       PyYAML
Requires:       python-httplib2
Requires:       python-jinja2
Requires:       python-keyczar
Requires:       python-paramiko
Requires:       python-setuptools
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110 || 0%{?rhel} == 5
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description 
Ansible is a radically simple IT automation system.  It handles
configuration-management, application deployment, cloud provisioning, ad-hoc
task-execution, and multinode orchestration - including trivializing things
like zero downtime rolling updates with load balancers.

%prep
%setup -q -n ansible-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
for manfile in man1/ansible.1 man1/ansible-doc.1 \
	       man1/ansible-galaxy.1 man1/ansible-playbook.1 \
               man1/ansible-pull.1 man1/ansible-vault.1
do
	install -Dm 0644 docs/man/${manfile} %{buildroot}%{_mandir}/${manfile}
done
# Default configuration not really required by default.
install -Dm 0644 examples/ansible.cfg %{buildroot}%{_sysconfdir}/ansible/ansible.cfg.example
install -Dm 0644 examples/ansible.cfg %{buildroot}%{_sysconfdir}/ansible/ansible.cfg
install -Dm 0644 examples/hosts %{buildroot}%{_sysconfdir}/ansible/hosts.example
install -Dm 0644 examples/hosts %{buildroot}%{_sysconfdir}/ansible/hosts

%files
%defattr(-,root,root,-)
%doc COPYING README.md
%{_bindir}/ansible
%{_bindir}/ansible-playbook
%{_bindir}/ansible-pull
%{_bindir}/ansible-doc
%{_bindir}/ansible-galaxy
%{_bindir}/ansible-vault
%{python_sitelib}/*
%{_mandir}/man1/ansible.1*
%{_mandir}/man1/ansible-doc.1*
%{_mandir}/man1/ansible-galaxy.1*
%{_mandir}/man1/ansible-playbook.1*
%{_mandir}/man1/ansible-pull.1*
%{_mandir}/man1/ansible-vault.1*
%dir %{_sysconfdir}/ansible
%config(noreplace) %{_sysconfdir}/ansible/ansible.cfg
%config %{_sysconfdir}/ansible/ansible.cfg.example
%config(noreplace) %{_sysconfdir}/ansible/hosts
%config %{_sysconfdir}/ansible/hosts.example

%changelog
